Package org.eclipse.birt.core.format

# Class LocaleNeutralFormatter

java.lang.Object
org.eclipse.birt.core.format.LocaleNeutralFormatter

All Implemented Interfaces:
  `IFormatter`

public class LocaleNeutralFormatter extends Object implements IFormatter

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.birt.core.format.IFormatter

`IFormatter.DefaultFormatter`

## Constructor Summary

Constructors
Constructor
Description
`LocaleNeutralFormatter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`formatValue(Object value)`
format the value object into a string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocaleNeutralFormatter

public LocaleNeutralFormatter()

## Method Details

### formatValue

public String formatValue(Object value) throws BirtException
Description copied from interface: `IFormatter`
format the value object into a string.

Specified by:
  `formatValue` in interface `IFormatter`
Parameters:
  `value` -
Returns:
Throws:
  `BirtException`